﻿init python:
    class card:
        def __init__(self, suit, number, name = "", cash = 0):
            self.suit = suit
            self.number = number
            self.name = name
            self.cash = cash

            self.variation = "a"
            self.img = ""
            self.change("")

            self.cards = []
            self.deck = []
            self.hand = []
            self.escape = 0

        def add_player(self, cards):
            self.cards = cards
        def build(self):
            d = self.cards.copy()
            renpy.random.shuffle(d)
            self.deck = d
        def sum(self):
            sum1 = 0
            sum2 = 0
            for i in self.hand:
                if i.number > 10:
                    sum1 += 10
                else:
                    sum1 += i.number

                if i.number > 10:
                    sum2 += 10
                elif i.number == 1:
                    sum2 += 11
                else:
                    sum2 += i.number
            if sum1 == sum2:
                return sum1
            elif sum1 == 21:
                return sum1
            elif sum2 == 21:
                return sum2
            elif sum2 < 21:
                return sum2
            else:
                return sum1

        def change(self, x):
            if x:
                self.variation = x
            self.img = "cards/{}/{}/{}.webp".format(self.suit, self.variation, self.number)

init: # Define all cards
    default joker = card("J", 0, "Joker", 10)

    default c_1 = card("c", 1, "Mayonnaise", cash = 4831)
    default c_2 = card("c", 2, "UNknown", cash = 15)
    default c_3 = card("c", 3, "????", cash = 15)
    default c_4 = card("c", 4, "UNknown", cash = 15)
    default c_5 = card("c", 5, "UNknown", cash = 15)
    default c_6 = card("c", 6, "UNknown", cash = 15)
    default c_7 = card("c", 7, "UNknown", cash = 15)
    default c_8 = card("c", 8, "UNknown", cash = 15)
    default c_9 = card("c", 9, "UNknown", cash = 15)
    default c_10 = card("c", 10, "UNknown", cash = 15)
    default c_11 = card("c", 11, "UNknown", cash = 15)
    default c_12 = card("c", 12, "UNknown", cash = 15)
    default c_13 = card("c", 13, "UNknown", cash = 15)

    default h_1 = card("h", 1, "UNknown", cash = 15)
    default h_2 = card("h", 2, "UNknown", cash = 15)
    default h_3 = card("h", 3, "UNknown", cash = 15)
    default h_4 = card("h", 4, "UNknown", cash = 15)
    default h_5 = card("h", 5, "UNknown", cash = 15)
    default h_6 = card("h", 6, "UNknown", cash = 15)
    default h_7 = card("h", 7, "UNknown", cash = 15)
    default h_8 = card("h", 8, "UNknown", cash = 15)
    default h_9 = card("h", 9, "UNknown", cash = 15)
    default h_10 = card("h", 10, "UNknown", cash = 15)
    default h_11 = card("h", 11, "UNknown", cash = 15)
    default h_12 = card("h", 12, "UNknown", cash = 15)
    default h_13 = card("h", 13, "UNknown", cash = 15)

    default s_1 = card("s", 1, "UNknown", cash = 15)
    default s_2 = card("s", 2, "UNknown", cash = 15)
    default s_3 = card("s", 3, "UNknown", cash = 15)
    default s_4 = card("s", 4, "UNknown", cash = 15)
    default s_5 = card("s", 5, "UNknown", cash = 15)
    default s_6 = card("s", 6, "UNknown", cash = 15)
    default s_7 = card("s", 7, "UNknown", cash = 15)
    default s_8 = card("s", 8, "UNknown", cash = 15)
    default s_9 = card("s", 9, "UNknown", cash = 15)
    default s_10 = card("s", 10, "UNknown", cash = 15)
    default s_11 = card("s", 11, "UNknown", cash = 15)
    default s_12 = card("s", 12, "UNknown", cash = 15)
    default s_13 = card("s", 13, "UNknown", cash = 15)

    default d_1 = card("d", 1, "UNknown", cash = 15)
    default d_2 = card("d", 2, "UNknown", cash = 15)
    default d_3 = card("d", 3, "UNknown", cash = 15)
    default d_4 = card("d", 4, "UNknown", cash = 15)
    default d_5 = card("d", 5, "UNknown", cash = 15)
    default d_6 = card("d", 6, "UNknown", cash = 15)
    default d_7 = card("d", 7, "UNknown", cash = 15)
    default d_8 = card("d", 8, "UNknown", cash = 15)
    default d_9 = card("d", 9, "UNknown", cash = 15)
    default d_10 = card("d", 10, "UNknown", cash = 15)
    default d_11 = card("d", 11, "UNknown", cash = 15)
    default d_12 = card("d", 12, "UNknown", cash = 15)
    default d_13 = card("d", 13, "UNknown", cash = 15)


transform card_game_ani:
    rotate_pad False
    alpha 0 rotate renpy.random.randint(180,720)
    ease .2 alpha 1.0 rotate 0

